---
title: Webpages Endpoints (2017/01)
slug: legacy-docs/webpages-endpoints-201701
docTags: 
createdAt: 2025-03-11T07:03:32.130Z
---

These endpoints allow users to manage webpages (that is, an HTML file and associated asset files) on a network. 

**Base URL for these endpoints:**  *https\://api.brightsignnetwork.com/2017/01/REST/WebPages*

## GET  /

Returns a list of webpages on a network

**Parameters**

`filter`  string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results

`sort` string

An expression for sorting the search results. The sort expression specifies the entry used for sorting and the ascending/descending (ASC/DESC) sorting order (e.g. "`[Device].[Serial] ASC`")

`marker` string

A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of webpage instances exceeds the `pageSize`.

`pageSize` int

The maximum number of webpage instances that can be contained in the response body

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a [paged list](docId\:yN3GU-aSyfiSjdxgbJdVB) of [WebPage Entity (2017/01)](docId\:MPUXwuqOlE8juNaWLY-dv) instances on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.

## DELETE  /

Deletes webpages, specified by a filter, on a network. This allows multiple webpages to be deleted at once.

**Parameter**

`filter`  string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results. 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the number of affected webpages, as an integer value.

## GET  /Count/ 

Returns the number of webpages on a network

**Parameter**

`filter`  string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

The webpage count is returned as an integer value.

## GET  /\{id\:int}/ 

Returns the specified webpage(s) on a network

**Parameter**

`id` int

A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [WebPage Entity (2017/01)](docId\:MPUXwuqOlE8juNaWLY-dv) 

## DELETE  /\{id\:int}/ 

Deletes the specified webpage(s) from a network

**Parameter**

`id` int

A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /&#x7B;name}/ 

Returns the specified webpage(s) on a network

**Parameter**

`name` string

A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [WebPage Entity (2017/01)](docId\:MPUXwuqOlE8juNaWLY-dv) 

## DELETE  /&#x7B;name}/ 

Deletes the specified webpage(s) from a network

**Parameter**

`name` string

A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /Operations/ 

Returns the operational permissions granted to roles for specific business operations

**Response Body**

Returns the [Business Operations Entity](docId\:FwDUJPp-AohPF3RES_SZ_)

## GET  /\{id\:int}/Permissions/ 

Includes object permissions for a given webpage instance.

**Parameter**

`id` int

A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

## POST  /\{id\:int}/Permissions/ 

Adds permissions for a webpage on a network

**Parameter**

`id` int

A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /\{id\:int}/Permissions/ 

Removes permissions from a webpage on a network

**Parameter**

`id` int

A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /&#x7B;name}/Permissions/ 

Includes object permissions for a given webpage instance.

**Parameter**

`name` string

A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

## POST  /&#x7B;name}/Permissions/ 

Adds permissions for a webpage on a network

**Parameter**

`name` string

A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /&#x7B;name}/Permissions/ 

Removes permissions from a webpage on a network

**Parameter**

`name` string

A unique identifier for the webpage

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.
